OpenNMS API 1.2.9

## org.opennms.netmgt.config.capsd
Class CapsdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.capsd.CapsdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class CapsdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_abortProtocolScansIfNoRoute`
`private java.lang.String` `_deletePropagationEnabled`
`private boolean` `_has_initialSleepTime` keeps track of state for field: _initialSleepTime
`private boolean` `_has_maxRescanThreadPoolSize` keeps track of state for field: _maxRescanThreadPoolSize
`private boolean` `_has_maxSuspectThreadPoolSize` keeps track of state for field: _maxSuspectThreadPoolSize
`private boolean` `_has_rescanFrequency` keeps track of state for field: _rescanFrequency
`private long` `_initialSleepTime`
`private java.util.ArrayList` `_ipManagementList`
`private java.lang.String` `_managementPolicy`
`private int` `_maxRescanThreadPoolSize`
`private int` `_maxSuspectThreadPoolSize`
`private java.util.ArrayList` `_protocolPluginList`
`private long` `_rescanFrequency`
`private SmbConfig` `_smbConfig`
`private java.lang.String` `_xmlrpc`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`CapsdConfiguration()`

Method Summary
`void` `addIpManagement(int index, IpManagement vIpManagement)`
`void` `addIpManagement(IpManagement vIpManagement)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addProtocolPlugin(int index, ProtocolPlugin vProtocolPlugin)`
`void` `addProtocolPlugin(ProtocolPlugin vProtocolPlugin)`
`void` `clearIpManagement()`
`void` `clearProtocolPlugin()`
`void` `deleteInitialSleepTime()`
`void` `deleteRescanFrequency()`
`java.util.Enumeration` `enumerateIpManagement()`
`java.util.Enumeration` `enumerateProtocolPlugin()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getAbortProtocolScansIfNoRoute()` Returns the value of field 'abortProtocolScansIfNoRoute'.
`java.lang.String` `getDeletePropagationEnabled()` Returns the value of field 'deletePropagationEnabled'.
`long` `getInitialSleepTime()` Returns the value of field 'initialSleepTime'.
`IpManagement[]` `getIpManagement()`
`IpManagement` `getIpManagement(int index)`
`java.util.Collection` `getIpManagementCollection()`
`int` `getIpManagementCount()`
`java.lang.String` `getManagementPolicy()` Returns the value of field 'managementPolicy'.
`int` `getMaxRescanThreadPoolSize()` Returns the value of field 'maxRescanThreadPoolSize'.
`int` `getMaxSuspectThreadPoolSize()` Returns the value of field 'maxSuspectThreadPoolSize'.
`ProtocolPlugin[]` `getProtocolPlugin()`
`ProtocolPlugin` `getProtocolPlugin(int index)`
`java.util.Collection` `getProtocolPluginCollection()`
`int` `getProtocolPluginCount()`
`long` `getRescanFrequency()` Returns the value of field 'rescanFrequency'.
`SmbConfig` `getSmbConfig()` Returns the value of field 'smbConfig'.
`java.lang.String` `getXmlrpc()` Returns the value of field 'xmlrpc'.
`boolean` `hasInitialSleepTime()`
`boolean` `hasMaxRescanThreadPoolSize()`
`boolean` `hasMaxSuspectThreadPoolSize()`
`boolean` `hasRescanFrequency()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeIpManagement(IpManagement vIpManagement)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeProtocolPlugin(ProtocolPlugin vProtocolPlugin)`
`void` `setAbortProtocolScansIfNoRoute(java.lang.String abortProtocolScansIfNoRoute)` Sets the value of field 'abortProtocolScansIfNoRoute'.
`void` `setDeletePropagationEnabled(java.lang.String deletePropagationEnabled)` Sets the value of field 'deletePropagationEnabled'.
`void` `setInitialSleepTime(long initialSleepTime)` Sets the value of field 'initialSleepTime'.
`void` `setIpManagement(int index, IpManagement vIpManagement)`
`void` `setIpManagement(IpManagement[] ipManagementArray)`
`void` `setIpManagementCollection(java.util.Collection vIpManagement)`
`void` `setManagementPolicy(java.lang.String managementPolicy)` Sets the value of field 'managementPolicy'.
`void` `setMaxRescanThreadPoolSize(int maxRescanThreadPoolSize)` Sets the value of field 'maxRescanThreadPoolSize'.
`void` `setMaxSuspectThreadPoolSize(int maxSuspectThreadPoolSize)` Sets the value of field 'maxSuspectThreadPoolSize'.
`void` `setProtocolPlugin(int index, ProtocolPlugin vProtocolPlugin)`
`void` `setProtocolPlugin(ProtocolPlugin[] protocolPluginArray)`
`void` `setProtocolPluginCollection(java.util.Collection vProtocolPlugin)`
`void` `setRescanFrequency(long rescanFrequency)` Sets the value of field 'rescanFrequency'.
`void` `setSmbConfig(SmbConfig smbConfig)` Sets the value of field 'smbConfig'.
`void` `setXmlrpc(java.lang.String xmlrpc)` Sets the value of field 'xmlrpc'.
`static CapsdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _rescanFrequency

    private long _rescanFrequency

### _has_rescanFrequency

    private boolean _has_rescanFrequency

  keeps track of state for field: _rescanFrequency

### _initialSleepTime

    private long _initialSleepTime

### _has_initialSleepTime

    private boolean _has_initialSleepTime

  keeps track of state for field: _initialSleepTime

### _maxSuspectThreadPoolSize

    private int _maxSuspectThreadPoolSize

### _has_maxSuspectThreadPoolSize

    private boolean _has_maxSuspectThreadPoolSize

  keeps track of state for field: _maxSuspectThreadPoolSize

### _maxRescanThreadPoolSize

    private int _maxRescanThreadPoolSize

### _has_maxRescanThreadPoolSize

    private boolean _has_maxRescanThreadPoolSize

  keeps track of state for field: _maxRescanThreadPoolSize

### _managementPolicy

    private java.lang.String _managementPolicy

### _abortProtocolScansIfNoRoute

    private java.lang.String _abortProtocolScansIfNoRoute

### _deletePropagationEnabled

    private java.lang.String _deletePropagationEnabled

### _xmlrpc

    private java.lang.String _xmlrpc

### _protocolPluginList

    private java.util.ArrayList _protocolPluginList

### _smbConfig

    private SmbConfig _smbConfig

### _ipManagementList

    private java.util.ArrayList _ipManagementList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### CapsdConfiguration

    public CapsdConfiguration()

Method Detail

### addIpManagement

    public void addIpManagement(IpManagement vIpManagement)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIpManagement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIpManagement

    public void addIpManagement(int index,
                                IpManagement vIpManagement)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIpManagement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addProtocolPlugin

    public void addProtocolPlugin(ProtocolPlugin vProtocolPlugin)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vProtocolPlugin` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addProtocolPlugin

    public void addProtocolPlugin(int index,
                                  ProtocolPlugin vProtocolPlugin)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vProtocolPlugin` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearIpManagement

    public void clearIpManagement()

### clearProtocolPlugin

    public void clearProtocolPlugin()

### deleteInitialSleepTime

    public void deleteInitialSleepTime()

### deleteRescanFrequency

    public void deleteRescanFrequency()

### enumerateIpManagement

    public java.util.Enumeration enumerateIpManagement()

### enumerateProtocolPlugin

    public java.util.Enumeration enumerateProtocolPlugin()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAbortProtocolScansIfNoRoute

    public java.lang.String getAbortProtocolScansIfNoRoute()

  Returns the value of field 'abortProtocolScansIfNoRoute'.

  Returns:
    the value of field 'abortProtocolScansIfNoRoute'.

### getDeletePropagationEnabled

    public java.lang.String getDeletePropagationEnabled()

  Returns the value of field 'deletePropagationEnabled'.

  Returns:
    the value of field 'deletePropagationEnabled'.

### getInitialSleepTime

    public long getInitialSleepTime()

  Returns the value of field 'initialSleepTime'.

  Returns:
    the value of field 'initialSleepTime'.

### getIpManagement

    public IpManagement getIpManagement(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIpManagement

    public IpManagement[] getIpManagement()

### getIpManagementCollection

    public java.util.Collection getIpManagementCollection()

### getIpManagementCount

    public int getIpManagementCount()

### getManagementPolicy

    public java.lang.String getManagementPolicy()

  Returns the value of field 'managementPolicy'.

  Returns:
    the value of field 'managementPolicy'.

### getMaxRescanThreadPoolSize

    public int getMaxRescanThreadPoolSize()

  Returns the value of field 'maxRescanThreadPoolSize'.

  Returns:
    the value of field 'maxRescanThreadPoolSize'.

### getMaxSuspectThreadPoolSize

    public int getMaxSuspectThreadPoolSize()

  Returns the value of field 'maxSuspectThreadPoolSize'.

  Returns:
    the value of field 'maxSuspectThreadPoolSize'.

### getProtocolPlugin

    public ProtocolPlugin getProtocolPlugin(int index)
                                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getProtocolPlugin

    public ProtocolPlugin[] getProtocolPlugin()

### getProtocolPluginCollection

    public java.util.Collection getProtocolPluginCollection()

### getProtocolPluginCount

    public int getProtocolPluginCount()

### getRescanFrequency

    public long getRescanFrequency()

  Returns the value of field 'rescanFrequency'.

  Returns:
    the value of field 'rescanFrequency'.

### getSmbConfig

    public SmbConfig getSmbConfig()

  Returns the value of field 'smbConfig'.

  Returns:
    the value of field 'smbConfig'.

### getXmlrpc

    public java.lang.String getXmlrpc()

  Returns the value of field 'xmlrpc'.

  Returns:
    the value of field 'xmlrpc'.

### hasInitialSleepTime

    public boolean hasInitialSleepTime()

### hasMaxRescanThreadPoolSize

    public boolean hasMaxRescanThreadPoolSize()

### hasMaxSuspectThreadPoolSize

    public boolean hasMaxSuspectThreadPoolSize()

### hasRescanFrequency

    public boolean hasRescanFrequency()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeIpManagement

    public boolean removeIpManagement(IpManagement vIpManagement)

  Parameters:
    `vIpManagement` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeProtocolPlugin

    public boolean removeProtocolPlugin(ProtocolPlugin vProtocolPlugin)

  Parameters:
    `vProtocolPlugin` -

### setAbortProtocolScansIfNoRoute

    public void setAbortProtocolScansIfNoRoute(java.lang.String abortProtocolScansIfNoRoute)

  Sets the value of field 'abortProtocolScansIfNoRoute'.

  Parameters:
    `abortProtocolScansIfNoRoute` - the value of field 'abortProtocolScansIfNoRoute'.

### setDeletePropagationEnabled

    public void setDeletePropagationEnabled(java.lang.String deletePropagationEnabled)

  Sets the value of field 'deletePropagationEnabled'.

  Parameters:
    `deletePropagationEnabled` - the value of field 'deletePropagationEnabled'.

### setInitialSleepTime

    public void setInitialSleepTime(long initialSleepTime)

  Sets the value of field 'initialSleepTime'.

  Parameters:
    `initialSleepTime` - the value of field 'initialSleepTime'

### setIpManagement

    public void setIpManagement(int index,
                                IpManagement vIpManagement)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIpManagement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIpManagement

    public void setIpManagement(IpManagement[] ipManagementArray)

  Parameters:
    `ipManagementArray` -

### setIpManagementCollection

    public void setIpManagementCollection(java.util.Collection vIpManagement)

  Parameters:
    `vIpManagement` -

### setManagementPolicy

    public void setManagementPolicy(java.lang.String managementPolicy)

  Sets the value of field 'managementPolicy'.

  Parameters:
    `managementPolicy` - the value of field 'managementPolicy'

### setMaxRescanThreadPoolSize

    public void setMaxRescanThreadPoolSize(int maxRescanThreadPoolSize)

  Sets the value of field 'maxRescanThreadPoolSize'.

  Parameters:
    `maxRescanThreadPoolSize` - the value of field 'maxRescanThreadPoolSize'.

### setMaxSuspectThreadPoolSize

    public void setMaxSuspectThreadPoolSize(int maxSuspectThreadPoolSize)

  Sets the value of field 'maxSuspectThreadPoolSize'.

  Parameters:
    `maxSuspectThreadPoolSize` - the value of field 'maxSuspectThreadPoolSize'.

### setProtocolPlugin

    public void setProtocolPlugin(int index,
                                  ProtocolPlugin vProtocolPlugin)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vProtocolPlugin` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setProtocolPlugin

    public void setProtocolPlugin(ProtocolPlugin[] protocolPluginArray)

  Parameters:
    `protocolPluginArray` -

### setProtocolPluginCollection

    public void setProtocolPluginCollection(java.util.Collection vProtocolPlugin)

  Parameters:
    `vProtocolPlugin` -

### setRescanFrequency

    public void setRescanFrequency(long rescanFrequency)

  Sets the value of field 'rescanFrequency'.

  Parameters:
    `rescanFrequency` - the value of field 'rescanFrequency'.

### setSmbConfig

    public void setSmbConfig(SmbConfig smbConfig)

  Sets the value of field 'smbConfig'.

  Parameters:
    `smbConfig` - the value of field 'smbConfig'.

### setXmlrpc

    public void setXmlrpc(java.lang.String xmlrpc)

  Sets the value of field 'xmlrpc'.

  Parameters:
    `xmlrpc` - the value of field 'xmlrpc'.

### unmarshal

    public static CapsdConfiguration unmarshal(java.io.Reader reader)
                                        throws org.exolab.castor.xml.MarshalException,
                                               org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.